Bug 768811 - Landscape Printing not working
Summary: Landscape Printing not working
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups-filters
Version: 19
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1018313
TreeView+ depends on / blocked
 
Reported: 2011-12-19 03:29 UTC by Jim
Modified: 2014-07-26 00:36 UTC (History)
14 users (show)

(edit)
Clone Of:
: 1018313 1099428 (view as bug list)
(edit)
Last Closed: 2014-05-14 23:55:57 UTC


Attachments (Terms of Use)
.ppd example showing the cups pdf filter used by Firefox (22.64 KB, application/vnd.cups-ppd)
2012-01-16 17:07 UTC, ken
no flags Details
cups-filters-pdf-landscape.patch (1.83 KB, patch)
2013-09-17 16:05 UTC, Tim Waugh
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 38962 None None None Never
Launchpad 47649 None None None 2012-09-11 15:37:03 UTC

Description Jim 2011-12-19 03:29:10 UTC
Description of problem:
Printing a landscape document prints in portrait. Also applies to the brochure option.
Preview is correct.

Version-Release number of selected component (if applicable):
3.4.4

How reproducible:
Happens every time.

Steps to Reproduce:
1.Select a document that has the page orientation set to Landscape
2.Go to Print
3. Check Properties are set to Landscape and if applicable go to Page Layout and check Brochure is selected
4. Click Print
  
Actual results:
Document prints in portrait showing the left hand part of the document with the right side cut off.

Expected results:
Output to be landscape

Additional info:
Paper size is A4, Printer is Brother HL-5340D Laser with duplex.
Same document prints as expected from Fedora 15 and Libreoffice 3.3.4.1

Comment 1 Caolan McNamara 2011-12-19 11:40:02 UTC
This sounds familiar, I think there was a printer-side bug in this area, need to dig to find it

Comment 2 Caolan McNamara 2011-12-19 11:51:58 UTC
This sounds just like bug #740496

what's the output of...

rpm -q cups ghostscript-cups

Comment 3 Jim 2011-12-19 12:33:40 UTC
(In reply to comment #2)
> This sounds just like bug #740496
> 
> what's the output of...
> 
> rpm -q cups ghostscript-cups

cups-1.5.0-22.fc16.i686
ghostscript-cups-9.04-7.fc16.i686

Comment 4 Jim 2011-12-19 12:44:26 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > This sounds just like bug #740496
> > 
> > what's the output of...
> > 
> > rpm -q cups ghostscript-cups
> 
> cups-1.5.0-22.fc16.i686
> ghostscript-cups-9.04-7.fc16.i686

There is an upstream bug - https://bugs.freedesktop.org/show_bug.cgi?id=38962

Comment 5 ken 2012-01-15 09:49:34 UTC
This bug is confirmed with HP Photosmart Premium c309g-m using hplip drivers.

Linux 3.1.8-2.fc16.x86_64 #1 SMP Sat Jan 7 13:35:24 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux.

rpm -q cups ghostscript-cups:

   cups-1.5.0-22.fc16.x86_64
   ghostscript-cups-9.04-7.fc16.x86_64

After upgrade from Fedora 15 --> 16, landscape printing is broken. From ANY application (Firefox, LibreOffice, etc.). Tried forcing landscape mode from different places, but the orientation is ALWAYS portrait.

The upstream bug mentioned above : https://bugs.freedesktop.org/show_bug.cgi?id=38962 concerns truncated landscape printing, which is different from the complete inability to print in landscape orientation.

I am at your disposal for more info...

Comment 6 ken 2012-01-15 19:59:10 UTC
Additional test:

If I first print to file (.ps), and subsequently open and print the file from okular, landscape works.

Comment 7 Tim Waugh 2012-01-16 16:47:36 UTC
Please attach the PPD from /etc/cups/ppd/.

Comment 8 ken 2012-01-16 17:07:41 UTC
Created attachment 555558 [details]
.ppd example showing the cups pdf filter used by Firefox

Comment 9 Jim 2012-01-16 22:51:37 UTC
(In reply to comment #5)
> This bug is confirmed with HP Photosmart Premium c309g-m using hplip drivers.
> 
> Linux 3.1.8-2.fc16.x86_64 #1 SMP Sat Jan 7 13:35:24 UTC 2012 x86_64 x86_64
> x86_64 GNU/Linux.
> 
> rpm -q cups ghostscript-cups:
> 
>    cups-1.5.0-22.fc16.x86_64
>    ghostscript-cups-9.04-7.fc16.x86_64
> 
> After upgrade from Fedora 15 --> 16, landscape printing is broken. From ANY
> application (Firefox, LibreOffice, etc.). Tried forcing landscape mode from
> different places, but the orientation is ALWAYS portrait.
> 
> The upstream bug mentioned above :
> https://bugs.freedesktop.org/show_bug.cgi?id=38962 concerns truncated landscape
> printing, which is different from the complete inability to print in landscape
> orientation.
> 
> I am at your disposal for more info...

I can confirm the same problem printing from Chrome. Landscape not working.

Comment 10 Tim Waugh 2012-01-17 10:04:46 UTC
You are using the hpijs driver for this printer.  Please try the hpcups driver instead.

To do this, start "system-config-printer" (Applications -> Other -> Printing).  Double-click on the icon representing the printer, then click the "Change..." button next to Make and Model.

In the dialog that appears, "HP" should already be selected as the make.  Click Forward.

Now the correct model should already be selected.  In the right hand pane, select:

HP Photosmart Premium c309g-m, hpcups-3.11.12 [en] (recommended)

(Note that you may see 3.11.10 if you have not yet had the HPLIP update...)

Does that give better results?

Comment 11 Evan Nemerson 2012-01-25 19:44:25 UTC
(In reply to comment #10)
> You are using the hpijs driver for this printer.  Please try the hpcups driver
> instead.
> 
> To do this, start "system-config-printer" (Applications -> Other -> Printing). 
> Double-click on the icon representing the printer, then click the "Change..."
> button next to Make and Model.
> 
> In the dialog that appears, "HP" should already be selected as the make.  Click
> Forward.
> 
> Now the correct model should already be selected.  In the right hand pane,
> select:
> 
> HP Photosmart Premium c309g-m, hpcups-3.11.12 [en] (recommended)
> 
> (Note that you may see 3.11.10 if you have not yet had the HPLIP update...)
> 
> Does that give better results?

It works for me. I was having the same issue with FC16 and an HP OfficeJet J6450, but switching to hpcups seems to have fixed it.

FWIW, I installed the printer through the HP Device Manager (hp-toolbox) tool.

Comment 12 ken 2012-01-25 20:50:24 UTC
Switching to hpcups-x.y.z driver as described above works for me as well.

Comment 13 Julien HENRY 2012-04-22 09:19:05 UTC
Thanks for the workaround. Works for me as well (landscape and duplex mode were ignored by hpijs). I also did the first configuration using hp-toolbox.

Comment 14 Caolan McNamara 2012-09-11 15:37:03 UTC
I wonder if https://bugs.launchpad.net/ubuntu/+source/cups/+bug/47649/comments/58 is the same problem as this, or if there's multiple similar problems

Comment 15 Jim 2012-09-11 22:40:14 UTC
I've got around this in 17 by changing the setting in Properties - Device - Language to anything but PDF.

Comment 16 Bill McGonigle 2012-11-19 00:01:27 UTC
(In reply to comment #15)
> I've got around this in 17 by changing the setting in Properties - Device -
> Language to anything but PDF.

works here too: switched to PostScript Level 3 instead of PDF - Brother HL4040CDN laser printer can now print in Landscape orientation from LibreOffice Writer.  Previously it was being clipped at the Portrait viewport boundary (though oriented correctly on the paper).

Comment 17 Tim Waugh 2012-12-17 11:11:50 UTC
So, the problem here is that the pstops filter does not rotate landscape pages to portrait.  Previous versions of ghostscript would do this (I think a bug) so it would be done as part of pstoraster.

The current pdftopdf filter in the cups-filters package does this, so landscape PDF printing should finally be working again once we switch to CUPS 1.6 + cups-filters (which is in rawhide now).

In the mean time it's possible that a change to pstops would fix it, but it would be pretty hard to make that change without breaking other things (n-up, tumble duplexing, etc).

Changing component to cups.

Comment 18 Fred New 2013-01-04 19:05:19 UTC
For my ancient LaserJet 4L the "HP LaserJet 4l, hpcups 3.12.10a [en]" driver lets me print landscape, but it also changes the 10 point font to about 20 points.  I've found that "HP LaserJet 4L - CUPS+Gutenprint v5.2.9" seems to give me what I want.

Comment 19 Fred New 2013-01-04 21:46:47 UTC
Scratch that, all of the drivers have problems.  CUPS+Gutenprint has boundary problems on A4 paper; one form I print is missing a few millimeters on the right side in portrait mode.  I'll use "HP LaserJet 4L Foomatic/ljet4 (recommended)" for portrait printing and CUPS+Gutenprint when I need landscape.

Comment 20 Fedora End Of Life 2013-01-16 20:24:40 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 21 Fred New 2013-01-16 21:22:28 UTC
I have just confirmed that this problem still exists in Fedora 17:
cups-1.5.4-11.fc17.i686
hplip-3.12.11-1.fc17.i686
ghostscript-9.06-3.fc17.i686

Comment 22 Fred New 2013-04-08 15:54:18 UTC
I have upgraded to Fedora 18, and as expected the problem is still present:
cups-1.5.4-20.fc18.i686
hplip-3.13.2-1.fc18.i686
ghostscript-9.06-4.fc18.i686

Comment 23 David Tonhofer 2013-04-14 15:50:26 UTC
Maybe the same bug, or maybe not.

Printing an A3 document to a Brother "MFCJ6510DW" in landscape fails from Open Office writer. The page is printed in portrait, either centered or left-adjusted depending on whether one says that the printer is in landscape mode or not in the printer settings window.

Exporting that document to PDF *then printing from Okular* in landscape works nicely.

cups-1.5.4-18.fc17.i686
ghostscript-9.06-3.fc17.i686

The config is "/etc/cups/ppd/MFCJ6510DW.ppd" (MFC-J6510DW CUPS)

Comment 24 Peter H. Jones 2013-05-01 01:00:18 UTC
Had the problem with Brother HL2040 and default drivers with Firefox 20.0. I resorted to shrinking the page to 50% to get all the content in, I wonder if it's worth trying the HPCUPS workaround.

I have:
cups-1.5.4-18.fc17.x86_64
firefox-20.0-1.fc17.x86_64

Comment 25 Peter H. Jones 2013-05-05 18:33:53 UTC
Tested with Fedora-Live-LXDE-i686-19-Beta-TC3-1.iso . Installed printer drivers on-line. Worked fine for the page that had given me difficulty.

Comment 26 Fedora End Of Life 2013-07-04 04:07:13 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 27 Fred New 2013-07-28 08:40:04 UTC
This problem still existed for me in F18, so I installed F19. My Calc spreadsheet now gets printed landscape, but it isn't what I intended - the fonts get enlarged (about double) and only about a quarter of the page, the upper right corner, appears on the printed sheet.  (Using a LaserJet 4L.)

Comment 28 Fred New 2013-07-28 09:05:40 UTC
Oops. Never mind. The driver "HP LaserJet 4L Foomatic/ljet4 (recommended)" prints landscape with the correct font size.

For the problem described in Comment 27, I used system-config-printer to set up a new printer. It didn't give me any choice of drivers.

Since I upgraded to F19 using Fedup, I assumed that my printer drivers hadn't been upgraded. It appears that my assumption was wrong and my previously defined printer is working as desired now.

Comment 29 Jim 2013-07-31 05:19:40 UTC
This shouldn't be closed as the problem has not been fixed.
When printing a brochure document it still prints in portrait unless the device setting is changed from the default PDF to postscript. 
While it could be argued this is a fix it is not an obvious setting to alter and as PDF is the default and does not produce the expected result it is a problem.

Comment 30 David Tonhofer 2013-09-05 19:08:29 UTC
Still valid in Fedora 18:

cups-1.5.4-28.fc18.x86_64
ghostscript-9.06-4.fc18.x86_64


Landscape cannot be printed from LibreOffice, needs to be exported to PDF, then printed from Okular.

In /etc/cups/ppd/MFC9120CN.ppd :


%================================================
*%      Copyright(C) 2008 Brother Industries, Ltd.
*%      "Brother MFC-9120CN BR-Script3"
*%================================================

*%==== General Information Keywords ========================
*FormatVersion: "4.3"
*FileVersion: "1.01"
*LanguageEncoding: ISOLatin1
*LanguageVersion: English
*Manufacturer: "Brother"
*PCFileName: "BR9120_2.PPD"
*Product: "(Brother MFC-9120CN)"
*PSVersion: "(3010.106) 3"
*ShortNickName: "Brother MFC-9120CN BR-Script3"
*ModelName: "Brother MFC-9120CN BR-Script3"
*NickName: "Brother MFC-9120CN BR-Script3"



Brother Printer are slowly creeping onto my "avoid" list

Comment 31 Jim 2013-09-05 22:14:56 UTC
(In reply to David Tonhofer from comment #30)
> Still valid in Fedora 18:
> 
> cups-1.5.4-28.fc18.x86_64
> ghostscript-9.06-4.fc18.x86_64
> 
> 
> Landscape cannot be printed from LibreOffice, needs to be exported to PDF,
> then printed from Okular.
> 
> In /etc/cups/ppd/MFC9120CN.ppd :
> 
> 
> %================================================
> *%      Copyright(C) 2008 Brother Industries, Ltd.
> *%      "Brother MFC-9120CN BR-Script3"
> *%================================================
> 
> *%==== General Information Keywords ========================
> *FormatVersion: "4.3"
> *FileVersion: "1.01"
> *LanguageEncoding: ISOLatin1
> *LanguageVersion: English
> *Manufacturer: "Brother"
> *PCFileName: "BR9120_2.PPD"
> *Product: "(Brother MFC-9120CN)"
> *PSVersion: "(3010.106) 3"
> *ShortNickName: "Brother MFC-9120CN BR-Script3"
> *ModelName: "Brother MFC-9120CN BR-Script3"
> *NickName: "Brother MFC-9120CN BR-Script3"
> 
> 
> 
> Brother Printer are slowly creeping onto my "avoid" list
Does the workaround in 15 work for you? It would be simpler than creating a pdf and printing that.

Comment 32 Perry Myers 2013-09-09 12:04:42 UTC
I can confirm that this is still broken on F19.  I am using a Brother MFC-8710DW printer.  I can't print to landscape from either Libreoffice or Chrome/Firefox.

Someone mentioned a workaround above for setting the default printer language to anything other than PDF, but I don't see a way to do this in the system-config-printer application.  Any hints?

Comment 33 Jim 2013-09-09 22:20:18 UTC
(In reply to Perry Myers from comment #32)
> I can confirm that this is still broken on F19.  I am using a Brother
> MFC-8710DW printer.  I can't print to landscape from either Libreoffice or
> Chrome/Firefox.
> 
> Someone mentioned a workaround above for setting the default printer
> language to anything other than PDF, but I don't see a way to do this in the
> system-config-printer application.  Any hints?

It is in LibreOffice printing screen, go to Properties - Device - Language. You need to set it for every document as LO in Fedora defaults to PDF. Anything other than PDF works for me.

Comment 34 Tim Waugh 2013-09-11 13:15:56 UTC
The pipeline here is pdftopdf | pdftops.

What seems to be happening here is that, although pdftopdf correctly rotates the PDF from landscape to portrait, pdftops then rotates it back to landscape. This then gets sent directly to the printer.

Comment 35 Tim Waugh 2013-09-17 13:31:33 UTC
So, the cups-filters 'pdftops' is a wrapper program to first do the conversion and finally run pstops.

The origin of that program is the PS workflow, and in fact it is still
used for that. It runs poppler's pdftops to do the conversion, then runs
pstops to apply the PPD options and perform any rotation needed.

The trouble is that it also behaves exactly the same when used in the
PDF workflow, even though it is needed for a different task.

In the PS workflow the conversion to PS was done *before* PPD
processing, and so the '-origpagesizes' option was passed to pdftops.

In the new PDF workflow, the pdftops CUPS filter is used to convert
already-processed PDF to PostScript for consumption by the end device --
or by e.g. the foomatic-rip filter. In this situation, the PostScript
*must* be orientated as portrait in order to get converted correctly to
raster format. Because of this, using -origpagesizes in wrong in this
situation -- I also think that running pstops can't be good news, but
I'm not sure what bad effect that might cause.

I'm about to try altering pdftops so that it uses -origpagesizes and
runs pstops only if the input format is not application/vnd.cups-pdf.

Comment 36 Tim Waugh 2013-09-17 15:19:50 UTC
So actually pstops is still part of the PDF workflow, so the only change I've made is to use -origpagesizes conditionally on the input format (CONTENT_TYPE environment variable set by cups)

Comment 37 Fedora Update System 2013-09-17 15:51:17 UTC
cups-filters-1.0.38-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cups-filters-1.0.38-2.fc19

Comment 38 Tim Waugh 2013-09-17 16:02:47 UTC
Please try this update and see if it fixes the problem for you.

Comment 39 Tim Waugh 2013-09-17 16:05:57 UTC
Created attachment 798878 [details]
cups-filters-pdf-landscape.patch

Here's the patch I used.

Comment 40 Bill McGonigle 2013-09-17 17:20:47 UTC
I got the srpm from koji and built/installed it on f19 x86_64.  I restarted cups, just in case.

I tried printing from LibreOffice Calc.  LibreOffice was launched after cups was restarted.   Tried printing page 1 of a spreadsheet.  Page format was defined to be landscape in LibreOffice.  Device type was set to be PDF in the Printer Properties.  I tried both 'Landscape' and 'Portrait' in the 'Properites' sub-dialog of the print dialog.

What I'm getting is portrait printing, as masked by the shape of a landscape page.  To clarify: take two pages.   Hold one in portrait orientation.  That's the page where printing is happening (output is in portrait orientation).  Take the other and hold it in landscape orientation.  Cover the portrait page with the landscape page so the bottom left corners of the two pages align.  Now, the area of the portrait page that is covered by the landscape page is the area where the spreadsheet is printed.  The top (uncovered) area of the portrait page is blank.

Thanks for working on this, Tim.  Please let me know if I can do a better test.

Comment 41 Tim Waugh 2013-09-18 08:04:05 UTC
Bill: so no change from before? Or is it different?

Comment 42 Fedora Update System 2013-09-18 13:06:30 UTC
Package cups-filters-1.0.38-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.38-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17031/cups-filters-1.0.38-2.fc19
then log in and leave karma (feedback).

Comment 43 Jim 2013-09-27 05:41:11 UTC
(In reply to Tim Waugh from comment #41)
> Bill: so no change from before? Or is it different?

Tim: Sorry slow to reply but I have the same result as Bill. No change from before the update. Still prints in portrait unless the language in LibreOffice is set to Postscript

Comment 44 Fedora Update System 2013-09-30 00:31:38 UTC
cups-filters-1.0.38-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 45 Yorkshire Tyke 2013-10-02 22:23:46 UTC
I think this bug continues on, as I'm trying to print to an A4 piece of paper in Landscape orientation.

I have a Zotac Zbox-ID82 PC running Fedora 19 connected by a USB cable to a brother DCP-J725DW printer. I installed the brother printer drivers using the brother website supplied script "linux-brprinter-installer-2.0.0-1". The "cups-filters-1.0.38-2.fc19" s/w is installed. 

Printing a PDF file comes out in a portrait orientation, and ditto for a LibreOffice spread sheet. However an abiword document came out in a landscape orientation but the left and right margins were not equal.

Comment 46 Tim Waugh 2013-10-03 14:26:59 UTC
Did this update actually fix landscape printing for anyone? Trying to work out if there is more than one bug here.

Comment 48 Tim Waugh 2013-10-11 16:44:40 UTC
I hope these packages will fix landscape PDF printing in all cases now:
http://koji.fedoraproject.org/koji/buildinfo?buildID=470858

The "pdftops" CUPS filter only needs to add the "-origpagesizes" option to /usr/bin/pdftops when the PostScript workflow is being used, rather than the PDF workflow. However, the PostScript workflow is only used when the input file is PostScript... in which case, pdftops will not be needed.

These new packages remove the "-origpagesizes" option addition unconditionally.

Comment 49 Fedora Update System 2013-10-11 17:14:16 UTC
cups-filters-1.0.40-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-2.fc20

Comment 50 Fedora Update System 2013-10-11 17:15:35 UTC
cups-filters-1.0.40-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cups-filters-1.0.40-2.fc19

Comment 51 Fedora Update System 2013-10-12 02:27:58 UTC
Package cups-filters-1.0.40-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-2.fc20
then log in and leave karma (feedback).

Comment 52 Bill McGonigle 2013-10-12 19:05:05 UTC
Works for me. :)  Thanks, Tim.

Karma added for f19:

 https://admin.fedoraproject.org/updates/cups-filters-1.0.40-2.fc19

(still in pending, not out to -testing yet).

Comment 53 Adrián Reboreda Martínez 2013-10-15 18:39:04 UTC
Works for me, tested using Brother MFC-J4510DW.

Comment 54 Jim 2013-10-16 00:10:40 UTC
Works for me. Thank you Tim

Comment 55 Fedora Update System 2013-10-16 11:54:44 UTC
ghostscript-9.10-4.fc19,cups-filters-1.0.40-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghostscript-9.10-4.fc19,cups-filters-1.0.40-3.fc19

Comment 56 Fedora Update System 2013-10-18 19:50:27 UTC
ghostscript-9.10-4.fc19, cups-filters-1.0.40-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 57 Fedora Update System 2013-10-23 17:30:34 UTC
Package cups-filters-1.0.40-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.40-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18453/cups-filters-1.0.40-4.fc20
then log in and leave karma (feedback).

Comment 58 Fedora Update System 2013-11-10 06:38:37 UTC
cups-filters-1.0.40-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 59 Till Kamppeter 2013-12-04 13:53:03 UTC
The real problem is in Poppler, it is that "pdftops -origpagesizes" does not take into account the rotation fields of the input PDF pages. If pdftopdf encounters a landscape-oriented page and the printer takes paper only short-edge-first (portrait), pdftopdf rotates the page by setting its rotation field (increment value by 90 degrees), which is much more efficient than rotating all the content of the page. All viewers (evince, gs, gv) take the rotation field into account and show the pages correctly rotated. In "pdftops -origpagesizes" this was forgotten and so in its output all pages are unrotated, leading to the wrong printouts mentioned by the reporter of this bug.

Dropping "-origpagesizes" in the pdftops filter of cups-filters is only a workaround, not a fix.

I have fixed Poppler with a patch. See

https://bugs.freedesktop.org/show_bug.cgi?id=72312

Therefore I have not taken the patch attached to this bug upstream into cups-filters. cups-filters I have modified to always use "-origpagesizes" now as it works correctly with my Poppler fix. This I have done in cups-filters upstream BZR rev. 7131.

Please apply my patch of the Poppler bug report to your Poppler package and also apply the BZR rev. 7131 patch to the cups-filters package.

Please reopen this bug and assign it to both cups-filters and poppler.

Comment 60 Bill McGonigle 2013-12-04 16:44:13 UTC
Nice work, Till!  We'll probably need two new bugs here, one to track the upstream poppler release with this patch in it, and then a cups-filter bug to revert the change here, when that poppler release comes downstream to Fedora, the latter bug depending on the former.

Comment 61 Till Kamppeter 2013-12-19 15:36:21 UTC
cups-filters 1.0.43 released upstream. It uses "pdftops -origpagesizes" again.

Comment 62 Jiri Popelka 2013-12-20 09:34:10 UTC
If I understand it correctly this happens only with Poppler-based pdftops renderer.
Since cups-filters-1.0.40 we've used "hybrid" renderer, which uses Ghostscript instead of Poppler in most cases.
I updated cups-filters to 1.0.43 in rawhide (F21) and removed Tim's patch. The problem will be fixed completely once the upstream Poppler fix gets into rawhide via regular update.
I won't probably reopen this bug for F19/F20, because in F19/F20 we can live with Tim's workaround patch as the Poppler based render is used only for few printer models.

Thanks Till !

Comment 63 Jim 2014-05-08 04:49:26 UTC
An update was received of cups-filters and cups-filters-libs from 1.0.41-4.fc20 to 1.0.53-1.fc20 which broke the fix provided.

Downgrading to the previous version restored the correct functionality.

Comment 64 Jiri Popelka 2014-05-09 10:31:45 UTC
(In reply to Jim from comment #63)
> 1.0.53-1.fc20 which broke the fix provided.

I'm sorry! I updated cups-filters in f20 to 1.0.53 due to CVE-2014-2707, but forgot that we haven't fixed Poppler in f20 yet. Jim, plese try this scratch-build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6830939

Comment 65 Adrián Reboreda Martínez 2014-05-09 16:48:40 UTC
(In reply to Jiri Popelka from comment #64)
> (In reply to Jim from comment #63)
> > 1.0.53-1.fc20 which broke the fix provided.
> 
> I'm sorry! I updated cups-filters in f20 to 1.0.53 due to CVE-2014-2707, but
> forgot that we haven't fixed Poppler in f20 yet. Jim, plese try this
> scratch-build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6830939

I've tested the workaround on a x86_64 and it works.

Comment 66 Fedora Update System 2014-05-09 17:14:48 UTC
cups-filters-1.0.53-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cups-filters-1.0.53-2.fc20

Comment 67 Jim 2014-05-09 23:33:57 UTC
(In reply to Jiri Popelka from comment #64)
> (In reply to Jim from comment #63)
> > 1.0.53-1.fc20 which broke the fix provided.
> 
> I'm sorry! I updated cups-filters in f20 to 1.0.53 due to CVE-2014-2707, but
> forgot that we haven't fixed Poppler in f20 yet. Jim, plese try this
> scratch-build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=6830939

Thanks for the reply, I too tested on x86_64 and it works.

Comment 68 Fedora Update System 2014-05-10 03:23:09 UTC
Package cups-filters-1.0.53-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cups-filters-1.0.53-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6198/cups-filters-1.0.53-2.fc20
then log in and leave karma (feedback).

Comment 69 Fedora Update System 2014-05-14 23:55:57 UTC
cups-filters-1.0.53-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 70 Jim 2014-07-24 05:06:31 UTC
Not sure if this is a new problem or a re-emergence of this one.

System is 20 Xfce 64 bit fully updated.

Printing from LibreOffice a multipage document (tested with 2 & 3 pages) with all pages landscape. The first page prints fine but the second page prints in portrait. All appears fine in print preview.

Workaround - If exported to pdf and printed from Okular the pages will print as expected.

Comment 71 David W. Legg 2014-07-24 09:53:07 UTC
Chaps, this bug, or a close relative seems to have come back.
There have been a a few new libreoffice updates in the last week, and they all have it.
The latest is:

Jul 24 10:26:33 Updated: 1:libreoffice-core-4.2.5.2-9.fc20.x86_64

and

Jul 24 10:26:46 Updated: 1:cups-filesystem-1.7.4-3.fc20.noarch
Jul 24 10:26:50 Updated: 1:cups-1.7.4-3.fc20.x86_64
Jul 24 10:30:42 Updated: 1:cups-libs-1.7.4-3.fc20.i686

Comment 72 David W. Legg 2014-07-24 10:13:05 UTC
Incidentally, it is possible to make a page print correctly in landscape by reselecting the landscape pull-down from the print menu, even if it already says, landscape.  The little lay-out picture on the left is still incorrect, but landscape printing then ensues.

Comment 73 Tim Waugh 2014-07-24 12:40:14 UTC
Please file a separate bug against libreoffice for this. This is a different symptom (see comment #70) with a different cause (comment #72).

Comment 74 Jim 2014-07-26 00:36:46 UTC
(In reply to Tim Waugh from comment #73)
> Please file a separate bug against libreoffice for this. This is a different
> symptom (see comment #70) with a different cause (comment #72).

Thank you, there is an existing bug - 1122868.


Note You need to log in before you can comment on or make changes to this bug.